Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class FeatureConstructionByRelation

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.FeatureConstructionByRelation

    public class FeatureConstructionByRelation

extends SingleCSOperator

Version:
  $Id: FeatureConstructionByRelation.java,v 1.7 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler

Field Summary
`static java.lang.String` | `AGGREGATION_VALUEOF`
`static java.lang.String` | `PARAMETER_AGGREGATION`
`static java.lang.String` | `PARAMETER_FROMCONCEPT`
`static java.lang.String` | `PARAMETER_OUTPUT_ATTR`
`static java.lang.String` | `PARAMETER_RELATION`
`static java.lang.String` | `PARAMETER_TARGET_ATTR`

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`FeatureConstructionByRelation()`

Method Summary
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` Implementation of the abstract method from `SingleCSOperator`.
`protected java.lang.String` | `getCondition()` Creates the WHERE part of the view definition.
`Concept` | `getInputConcept()` This method overrides the super class method because the input concept is given by the ToConcept of the relation.
`protected java.lang.String` | `getListOfColumnSets()` Creates the FROM part of the view definition.
`protected Relation` | `getMyRelation()` Gets the relation.
`java.lang.String` | `getTypeOfNewColumnSet()` Must implement this method from ConceptOperator().
`protected java.lang.String` | `handleExtraOutputFeature(Feature outF, Columnset csForOutputConcept)` Overwrites the super class method so that the newly constructed Feature can be handled.
`protected boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is for operators that do not copy all Features of the input concept to the output concept.

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_AGGREGATION

    public static final java.lang.String PARAMETER_AGGREGATION

See Also:
  Constant Field Values

### PARAMETER_RELATION

    public static final java.lang.String PARAMETER_RELATION

See Also:
  Constant Field Values

### PARAMETER_FROMCONCEPT

    public static final java.lang.String PARAMETER_FROMCONCEPT

See Also:
  Constant Field Values

### PARAMETER_TARGET_ATTR

    public static final java.lang.String PARAMETER_TARGET_ATTR

See Also:
  Constant Field Values

### PARAMETER_OUTPUT_ATTR

    public static final java.lang.String PARAMETER_OUTPUT_ATTR

See Also:
  Constant Field Values

### AGGREGATION_VALUEOF

    public static final java.lang.String AGGREGATION_VALUEOF

See Also:
  Constant Field Values

Constructor Detail

### FeatureConstructionByRelation

    public FeatureConstructionByRelation()

Method Detail

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                           throws M4CompilerError

  Implementation of the abstract method from `SingleCSOperator`.

  Specified by:
    `generateSQLDefinition` in class `SingleCSOperator`
  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`

### handleExtraOutputFeature

    protected java.lang.String handleExtraOutputFeature(Feature outF,
                                                        Columnset csForOutputConcept)
                                                 throws M4CompilerError

  Overwrites the super class method so that the newly constructed Feature can be handled.

  Overrides:
    `handleExtraOutputFeature` in class `SingleCSOperator`
  Parameters:
    `outF` - Feature to be dealt with
    `csForOutputConcept` - Columnset that was created for the output concept
  Returns:
    a String with a column definition
  Throws:
    `M4CompilerError`

### getMyRelation

    protected Relation getMyRelation()
                              throws M4CompilerError

  Gets the relation.

  Returns:
    Returns a Relation
  Throws:
    `M4CompilerError`

### getCondition

    protected java.lang.String getCondition()
                                     throws M4CompilerError

  Creates the WHERE part of the view definition.

  Throws:
    `M4CompilerError`

### getListOfColumnSets

    protected java.lang.String getListOfColumnSets()
                                            throws M4CompilerError

  Creates the FROM part of the view definition.

  Throws:
    `M4CompilerError`

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet()

  Must implement this method from ConceptOperator().

  Specified by:
    `getTypeOfNewColumnSet` in class `SingleCSOperator`
  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet`

### mustCopyFeature

    protected boolean mustCopyFeature(java.lang.String nameOfFeature)

  Description copied from class: `ConceptOperator`
  This method is for operators that do not copy all Features of the input concept to the output concept.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.

### getInputConcept

    public Concept getInputConcept()
                            throws M4CompilerError

  This method overrides the super class method because the input concept is given by the ToConcept of the relation.

  Overrides:
    `getInputConcept` in class `ConceptOperator`
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005